﻿<%@ Page Title="Account Code Maintenance" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Accounts.aspx.cs" Inherits="EnhancedBillingCodes.Web.Accounts" Async="true" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>





<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server" />
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>

    <asp:UpdatePanel ID="upCodeLength" runat="server">
        <ContentTemplate>
            <div style="width: 245px; margin: 0 auto; padding-bottom: 10px;">
                <table>
                    <tr>
                        <td>
                            <dx:ASPxLabel ID="lblFixedLength" runat="server" Text="Fixed Length Account Codes:" Wrap="False" />
                        </td>
                        <td>
                            <dx:ASPxSpinEdit ID="spnCodeLength" runat="server" Number="0" MinValue="0" MaxValue="99" NumberType="Integer" Width="45px" ToolTip="To permit variable length account codes set the value to zero." />
                        </td>
                        <td>
                            <asp:LinkButton ID="btnSaveCodeLength" runat="server" OnClick="btnSaveCodeLength_Click" Text="Save" Font-Underline="false" CssClass="saveCodeLengthButton" /></td>
                    </tr>
                </table>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:UpdatePanel ID="UpdatePanel3" runat="server">
        <ContentTemplate>
            <div style="width: 1000px; margin: 0 auto;">
                <dx:ASPxGridView
                    ID="grid"
                    DataSourceID="sdsAccounts"
                    ClientInstanceName="grid"
                    runat="server"
                    KeyFieldName="ID"
                    EnableRowsCache="False"
                    AutoGenerateColumns="False"
                    Width="100%"
                    CssClass="shadow"
                    OnRowInserting="grid_RowInserting"
                    OnRowUpdating="grid_RowUpdating"
                    OnHtmlDataCellPrepared="grid_HtmlDataCellPrepared"
                    Theme="Metropolis" EnableCallBacks="false">
                    <Columns>
                        <dx:GridViewCommandColumn
                            ShowClearFilterButton="true"
                            ShowNewButtonInHeader="true"
                            ShowDeleteButton="true"
                            ShowCancelButton="true"
                            ShowUpdateButton="true"
                            ButtonType="Image"
                            Width="50"
                            VisibleIndex="0" />
                        <dx:GridViewDataTextColumn     FieldName="ID"          VisibleIndex="0" ReadOnly="true" Visible="false" />
                        <dx:GridViewDataTextColumn     FieldName="Code"        VisibleIndex="1" Caption="Account"     Width="125" PropertiesTextEdit-ValidationSettings-RequiredField-IsRequired="true" PropertiesTextEdit-ValidationSettings-RequiredField-ErrorText="Account code should not be blank."/>
                        <dx:GridViewDataTextColumn     FieldName="Description" VisibleIndex="2" Caption="Description" Width="275"    PropertiesTextEdit-ValidationSettings-RequiredField-IsRequired="true" PropertiesTextEdit-ValidationSettings-RequiredField-ErrorText="Account description should not be blank."/>
                        <dx:GridViewDataComboBoxColumn FieldName="OwnerId"     VisibleIndex="3" Caption="Owner"       Width=""    PropertiesComboBox-ValidationSettings-RequiredField-IsRequired="true" PropertiesComboBox-ValidationSettings-RequiredField-ErrorText="Owner name should not be blank."
                            PropertiesComboBox-DataSourceID="sdOwners" Settings-AllowHeaderFilter="True" Settings-AllowAutoFilter="True"
                            PropertiesComboBox-TextField="Name" PropertiesComboBox-ValueField="OwnerId" >
                        </dx:GridViewDataComboBoxColumn>
                        <dx:GridViewDataCheckColumn   FieldName="Limit"        VisibleIndex="4" Caption="Restrict"    Width="50" />
                        <dx:GridViewDataTextColumn    FieldName="MinLen"       VisibleIndex="6" Caption="Min"         Width="50" />
                        <dx:GridViewDataTextColumn    FieldName="MaxLen"       VisibleIndex="7" Caption="Max"         Width="50" />
                        <dx:GridViewDataTextColumn    FieldName="Prefix"       VisibleIndex="8" Caption="Prefix"      Width="50" />
                        <dx:GridViewDataCheckColumn   FieldName="Active"       VisibleIndex="9" Caption="Active"      Width="50" />
                        <dx:GridViewDataTextColumn     FieldName="DID"         VisibleIndex="10" Caption="DID"        Width="125" />
                    </Columns>
                    <SettingsCommandButton
                        ClearFilterButton-Image-IconID="actions_clear_16x16gray"
                        NewButton-Image-IconID="actions_add_16x16gray"
                        DeleteButton-Image-IconID="actions_deleteitem_16x16gray"
                        CancelButton-Image-IconID="actions_cancel_16x16gray"
                        UpdateButton-Image-IconID="actions_apply_16x16gray" />
                    <SettingsText
                        Title="Account Code Maintenance"
                        CommandDelete="Delete Account?"
                        CommandBatchEditUpdate="Save" />
                    <Settings
                        ShowFilterRow="True"
                        ShowTitlePanel="True"
                        VerticalScrollableHeight="400"
                        VerticalScrollBarMode="Auto" />
                    <SettingsEditing
                        Mode="Batch"
                        BatchEditSettings-EditMode="Cell" />
                    <SettingsBehavior ConfirmDelete="True" />
                    <Styles>
                        <AlternatingRow Enabled="True" BackColor="WhiteSmoke" />
                        <TitlePanel BackColor="DarkOrange" ForeColor="White" />
                        <StatusBar BackColor="DarkOrange" />
                    </Styles>
                    <SettingsPager PageSize="40" />
                </dx:ASPxGridView>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>

            <dx:ASPxPopupControl
                ID="pcAlrtBox"
                runat="server"
                MinWidth="300px"
                ClientInstanceName="pcAlrtBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="NotSet"
                PopupVerticalAlign="NotSet"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="imgICon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblalert" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnalrtOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcAlrtBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:SqlDataSource
        ID="sdsAccounts"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3CXEnhancedBillingCodesConStr %>"
        SelectCommand="SELECT [ID], [Code], [Description], [Active], [Limit], [MinLen], [MaxLen], [Prefix], [OwnerId],[DID] FROM [Accounts]"
        InsertCommand="INSERT INTO [Accounts] ([Code], [Description], [Active], [Limit], [MinLen], [MaxLen], [Prefix], [OwnerId],[DID]) VALUES (@Code, @Description, @Active, @Limit, @MinLen, @MaxLen, @Prefix, @OwnerId,@DID)"
        UpdateCommand="UPDATE [Accounts] SET [Code] = @Code, [Description] = @Description, [Active] = @Active, [Limit] = @Limit, [MinLen] = @MinLen, [MaxLen] = @MaxLen, [Prefix] = @Prefix, [OwnerId] = @OwnerId,[DID]=@DID WHERE [ID] = @ID"
        DeleteCommand="DELETE FROM [Accounts] WHERE [ID] = @ID">
        <InsertParameters>
            <asp:Parameter Name="Code" Type="String" />
            <asp:Parameter Name="Description" Type="String" />
            <asp:Parameter Name="Active" Type="Boolean" DefaultValue="false" />
            <asp:Parameter Name="Limit" Type="Boolean" DefaultValue="false" />
            <asp:Parameter Name="MinLen" Type="Int16" />
            <asp:Parameter Name="MaxLen" Type="Int16" />
            <asp:Parameter Name="Prefix" Type="String" />
            <asp:Parameter Name="OwnerId" Type="Int16" />
            <asp:Parameter Name="DID" Type="String" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="Description" Type="String" />
            <asp:Parameter Name="Active" Type="Boolean" DefaultValue="false" />
            <asp:Parameter Name="Code" Type="String" />
            <asp:Parameter Name="Limit" Type="Boolean" DefaultValue="false" />
            <asp:Parameter Name="MinLen" Type="Int16" />
            <asp:Parameter Name="MaxLen" Type="Int16" />
            <asp:Parameter Name="Prefix" Type="String" />
            <asp:Parameter Name="OwnerId" Type="Int16" />
             <asp:Parameter Name="DID" Type="String" />
        </UpdateParameters>
        <DeleteParameters>
            <asp:Parameter Name="Int" Type="Int32" />
        </DeleteParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource
        ID="sdOwners"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3CXEnhancedBillingCodesConStr %>"
        SelectCommand="SELECT OwnerId, Name FROM [Owner]">
    </asp:SqlDataSource>
</asp:Content>
