﻿<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="LoginDialog.ascx.cs" Inherits="VoIPTools.LoginDialog" %>
<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>
<%@ Register Src="~/Updater.ascx" TagName="UpdaterControl" TagPrefix="Updater" %>
<style type="text/css">
    .login {
        /* shadow */
        -webkit-box-shadow: 1px 1px 16px 1px silver;
        -moz-box-shadow: 1px 1px 16px 1px silver;
        box-shadow: 1px 1px 16px 1px silver;
        /* Border */
        border-radius: 5px;
        border: 1px solid silver;
        /* vertical center*/
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        /* General Settings */
        width: 275px;
        background-color: #F9F9F9;
    }

    .titlebar {
        background: #E0E0E0; /* For browsers that do not support gradients */
        background: -webkit-linear-gradient(#E0E0E0, #D0D0D0); /* For Safari 5.1 to 6.0 */
        background: -o-linear-gradient(#E0E0E0, #D0D0D0); /* For Opera 11.1 to 12.0 */
        background: -moz-linear-gradient(#E0E0E0, #D0D0D0); /* For Firefox 3.6 to 15 */
        background: linear-gradient(#E0E0E0, #D0D0D0); /* Standard syntax */
        border-top-left-radius: 5px;
        border-top-right-radius: 5px;
        padding: 4px 0 5px 10px;
        color: #626567;
    }

    .tbpass {
        border-color: #e0e0e0;
        border-left-color: #e0e0e0;
        border-right-color: #e0e0e0;
        border-left-width: 1px;
        border-top-width: 1px;
        border-right-width: 2px;
        border-bottom-width: 2px;
        border-top-color: #dcdcdcad;
        width: 57px;
        height: 16px;
        margin-top: 4px;
    }

    .lblrememberme {
        margin-left: -28px;
        color: grey;
        padding-right: 4px;
    }

    #MainContent_LoginDialog_rememberme {
        /*margin-top: 7px !important;*/
        width: 17px;
        height: 20px;
        margin-left: 0px;
    }

    #MainContent_LoginDialog_RequiredFieldValidator1 {
        margin-left: 5px;
        margin-top: 3px;
        position: absolute;
    }
</style>

<asp:ScriptManager ID="ScriptManager1" runat="server" />

<asp:UpdatePanel ID="uplogin" runat="server">
    <ContentTemplate>
        <div style="float: right; margin-right: 5px;">
            <updater:updatercontrol
                id="Updater"
                runat="server"
                displayorentation="Vertical" />
        </div>
        <div class="login">

            <div class="titlebar">
                <dx:ASPxLabel ID="lblLoginTitle" runat="server" Text="Login" />
            </div>

            <div style="text-align: center; padding-top: 10px; height: 12px;">
                <dx:ASPxLabel ID="lblError" ClientInstanceName="lblError" runat="server" Text="" ForeColor="Red" />
            </div>

            <div style="padding: 15px 0 20px 0; width: 150px; margin: 0 auto;">
                <table>
                    <tr>
                        <td style="text-align: right;">
                            <dx:ASPxLabel ID="lblExt" runat="server" Text="Extension:" />
                            &nbsp;&nbsp;
                        </td>
                        <td>
                            <dx:ASPxTextBox
                                ID="tbExtension"
                                runat="server"
                                Width="60px"
                                Theme="Metropolis"
                                ValidationSettings-RequiredField-IsRequired="true"
                                ValidationSettings-SetFocusOnError="true"
                                ValidationSettings-ValidateOnLeave="true"
                                ValidationSettings-RequiredField-ErrorText="&nbsp;">
                                <ClientSideEvents Init="function(s,e) { s.Focus(); }" />
                            </dx:ASPxTextBox>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right;">
                            <dx:ASPxLabel ID="lblPass" runat="server" Text="PIN:" />
                            &nbsp;&nbsp;
                        </td>
                        <td>
                            <asp:TextBox ID="tbpass" CausesValidation="true" CssClass="tbpass" ValidationGroup="submit" runat="server"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="tbpass" runat="server" ValidationGroup="submit" ForeColor="Red" ErrorMessage="Required"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right;">
                            <dx:ASPxLabel ID="lblrememberme" CssClass="lblrememberme" runat="server" Text="Remember me:" />
                            &nbsp;
                        </td>
                        <td>
                            <asp:CheckBox ID="rememberme" runat="server" />
                        </td>
                    </tr>
                </table>

                <div style="text-align: right; padding-top: 20px; margin-right: 29px;">
                    <dx:ASPxButton ID="btnLogin" runat="server" AutoPostBack="true" Text="Login" Theme="Metropolis" OnClick="btnLogin_Click">
                        <ClientSideEvents Click="function(s,e) { lblError.SetText('Connecting to 3CX...'); lblError.GetMainElement().style.color = 'blue'; }" />
                    </dx:ASPxButton>
                </div>

            </div>
        </div>
    </ContentTemplate>
</asp:UpdatePanel>
