﻿<%@ Page Title="Owners" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Owners.aspx.cs" Inherits="EnhancedBillingCodes.Web.Owners" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server" />
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>

    <asp:UpdatePanel ID="updpnlOwners" runat="server">
        <ContentTemplate>
            <div style="width: 1000px; margin: 0 auto;">
                <dx:ASPxGridView
                    ID="grdOwners"
                    DataSourceID="sdsOwners"
                    ClientInstanceName="grdOwners"
                    runat="server"
                    KeyFieldName="OwnerId"
                    EnableRowsCache="False"
                    AutoGenerateColumns="False"
                    Width="100%"
                    CssClass="shadow"
                    OnRowInserting="grdOwners_RowInserting"
                    OnRowUpdating="grdOwners_RowUpdating"
                    OnHtmlDataCellPrepared="grdOwners_HtmlDataCellPrepared"
                    Theme="Metropolis" EnableCallBacks="false">
                    <Columns>
                        <dx:GridViewCommandColumn
                            ShowClearFilterButton="true"
                            ShowNewButtonInHeader="true"
                            ShowDeleteButton="true"
                            ShowCancelButton="true"
                            ShowUpdateButton="true"
                            ButtonType="Image"
                            Width="50"
                            VisibleIndex="0" />
                        <dx:GridViewDataTextColumn FieldName="OwnerId" VisibleIndex="0" Visible="false" />
                        <dx:GridViewDataTextColumn FieldName="Name" VisibleIndex="1" Caption="Owner Name" Width="20%" PropertiesTextEdit-ValidationSettings-RequiredField-IsRequired="true" PropertiesTextEdit-ValidationSettings-RequiredField-ErrorText="Owner name should not be blank." />
                        <dx:GridViewDataTextColumn FieldName="EmailAddress" VisibleIndex="2" Caption="EmailAddress" Width="70%" PropertiesTextEdit-ValidationSettings-RequiredField-IsRequired="true" PropertiesTextEdit-ValidationSettings-RequiredField-ErrorText="Email address should not be blank."/>
                        <dx:GridViewDataCheckColumn FieldName="Active" VisibleIndex="3" Caption="Active" Width="10%" />
                    </Columns>
                    <SettingsCommandButton
                        ClearFilterButton-Image-IconID="actions_clear_16x16gray"
                        NewButton-Image-IconID="actions_add_16x16gray"
                        DeleteButton-Image-IconID="actions_deleteitem_16x16gray"
                        CancelButton-Image-IconID="actions_cancel_16x16gray"
                        UpdateButton-Image-IconID="actions_apply_16x16gray" />
                    <SettingsText
                        Title="Owner Maintenance"
                        CommandDelete="Delete Owner?"
                        CommandBatchEditUpdate="Save" />
                    <Settings
                        ShowFilterRow="True"
                        ShowTitlePanel="True"
                        VerticalScrollableHeight="400"
                        VerticalScrollBarMode="Auto" />
                    <SettingsEditing
                        Mode="Batch"
                        BatchEditSettings-EditMode="Cell" />
                    <SettingsBehavior ConfirmDelete="True" />
                    <Styles>
                        <AlternatingRow Enabled="True" BackColor="WhiteSmoke" />
                        <TitlePanel BackColor="DarkOrange" ForeColor="White" />
                        <StatusBar BackColor="DarkOrange" />
                    </Styles>
                    <SettingsPager PageSize="40" />
                </dx:ASPxGridView>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>

            <dx:ASPxPopupControl
                ID="pcAlrtBox"
                runat="server"
                MinWidth="300px"
                ClientInstanceName="pcAlrtBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="NotSet"
                PopupVerticalAlign="NotSet"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="imgICon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblalert" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnalrtOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcAlrtBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:SqlDataSource
        ID="sdsOwners"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3CXEnhancedBillingCodesConStr %>"
        SelectCommand="SELECT * FROM [Owner]"
        InsertCommand="INSERT INTO [Owner] ([Name], [EmailAddress], [Active]) VALUES (@Name, @EmailAddress, @Active)"
        UpdateCommand="UPDATE [Owner] SET [Name] = @Name, [EmailAddress] = @EmailAddress, [Active] = @Active WHERE [OwnerId] = @OwnerId"
        DeleteCommand="DELETE FROM [Owner] WHERE [OwnerId] = @OwnerId">
        <InsertParameters>
            <asp:Parameter Name="Name" Type="String" />
            <asp:Parameter Name="EmailAddress" Type="String" />
            <asp:Parameter Name="Active" Type="Boolean" DefaultValue="false" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="Name" Type="String" />
            <asp:Parameter Name="EmailAddress" Type="String" />
            <asp:Parameter Name="Active" Type="Boolean" DefaultValue="false" />
            <asp:Parameter Name="OwnerId" Type="Int32" />
        </UpdateParameters>
        <DeleteParameters>
            <asp:Parameter Name="OwnerId" Type="Int32" />
        </DeleteParameters>
    </asp:SqlDataSource>

</asp:Content>
