﻿<%@ Page Title="Settings" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Settings.aspx.cs" Inherits="EnhancedBillingCodes.Web.Settings1" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>
<%@ Register Assembly="TimePicker" Namespace="MKB.TimePicker" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript">
        function CallbackComplete(s, e) {
            lpSave.Hide();
            pcMsgBox.SetHeaderText(s.cp_header);
            pcMsgBox.SetSize(s.cp_width, pcMsgBox.GetHeight());
            lblMsg.SetText(s.cp_msg);
            iIcon.SetImageUrl('Images/' + s.cp_icon);
            pcMsgBox.Show();
        }
    </script>
    <style type="text/css">
        .dxeBase {
            font: 11px Tahoma, Geneva, sans-serif !important;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
    <table>
        <tr>
            <td>
                <dx:ASPxRoundPanel ID="ASPxRoundPanel1" runat="server" Width="100%" Height="700px" HeaderText="General Settings" ContentPaddings-Padding="15px">
                    <ContentPaddings Padding="15px"></ContentPaddings>
                    <PanelCollection>
                        <dx:PanelContent>

                            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <div style="width: 500px; margin: 0 auto; padding-top: 10px;">
                                        <dx:ASPxGridView
                                            ID="gvEmailAddresses"
                                            runat="server"
                                            AutoGenerateColumns="False"
                                            DataSourceID="sds_EmailAddresses"
                                            Theme="Metropolis"
                                            Width="100%"
                                            KeyFieldName="EmailId" OnRowInserting="gvEmailAddresses_RowInserting" OnRowUpdating="gvEmailAddresses_RowUpdating" EnableCallBacks="false">
                                            <Columns>

                                                <dx:GridViewCommandColumn
                                                    ShowClearFilterButton="true"
                                                    ShowNewButtonInHeader="true"
                                                    ShowDeleteButton="true"
                                                    ShowCancelButton="true"
                                                    ShowUpdateButton="true"
                                                    ButtonType="Image"
                                                    Width="20"
                                                    VisibleIndex="0" />
                                                <dx:GridViewDataColumn FieldName="EmailId" Visible="False" VisibleIndex="1" />
                                                <dx:GridViewDataTextColumn FieldName="EmailAddress" Caption="Email Address" VisibleIndex="2" HeaderStyle-HorizontalAlign="Center" />
                                            </Columns>
                                            <Settings
                                                VerticalScrollableHeight="100" />
                                            <SettingsBehavior
                                                AllowFocusedRow="true"
                                                AllowSelectByRowClick="true"
                                                AllowSort="true" />
                                            <Styles AlternatingRow-Enabled="True">
                                                <Header BackColor="Gray" ForeColor="White" Font-Bold="true" HorizontalAlign="Center" />
                                            </Styles>
                                            <SettingsEditing Mode="Batch" />
                                            <SettingsCommandButton
                                                ClearFilterButton-Image-IconID="actions_clear_16x16gray"
                                                NewButton-Image-IconID="actions_add_16x16gray"
                                                DeleteButton-Image-IconID="actions_deleteitem_16x16gray"
                                                CancelButton-Image-IconID="actions_cancel_16x16gray"
                                                UpdateButton-Image-IconID="actions_apply_16x16gray" />
                                            <SettingsPager Visible="false" />
                                        </dx:ASPxGridView>
                                    </div>

                                    <div style="width: 500px; margin: 0 auto; padding-top: 15px; padding-bottom: 15px">
                                        <dx:ASPxRoundPanel ID="rpEmail" runat="server" HeaderText="Email Settings" Width="100%">
                                            <PanelCollection>
                                                <dx:PanelContent>
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <dx:ASPxLabel ID="lblSmtpServer" runat="server" Text="Mail Server:" />
                                                            </td>
                                                            <td colspan="2">
                                                                <dx:ASPxTextBox ID="tbSmtpServer" runat="server" Theme="Metropolis" Width="200px" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <dx:ASPxLabel ID="lblSmtpPort" runat="server" Text="SMTP Port:" />
                                                            </td>
                                                            <td colspan="2">
                                                                <dx:ASPxSpinEdit ID="seSmtpPort" runat="server" Theme="Metropolis" Width="200px" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <dx:ASPxLabel ID="lblSmtpReply" runat="server" Text="From Email:" />
                                                            </td>
                                                            <td colspan="2">
                                                                <dx:ASPxTextBox ID="tbSmtpReply" runat="server" Theme="Metropolis" Width="200px" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <dx:ASPxLabel ID="lblSendToEmail" runat="server" Text="To Email:"></dx:ASPxLabel>
                                                            </td>
                                                            <td>
                                                                <dx:ASPxTextBox ID="tbSendToEmail" runat="server" Theme="Metropolis" Width="200px"></dx:ASPxTextBox>

                                                            </td>
                                                            <td>
                                                                <dx:ASPxLabel ID="lblSendToEmailNote" runat="server" Text="(For sending test emails only)"></dx:ASPxLabel>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <dx:ASPxLabel ID="lblSmtpUser" runat="server" Text="User:" />
                                                            </td>
                                                            <td colspan="2">
                                                                <dx:ASPxTextBox ID="tbSmtpUser" runat="server" Theme="Metropolis" Width="200px" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <dx:ASPxLabel ID="lblSmtpPass" runat="server" Text="Password:" />
                                                            </td>
                                                            <td colspan="2">
                                                                <table style="border-collapse: collapse; border-spacing: 0;">
                                                                    <tr>
                                                                        <td style="padding: 0;">
                                                                            <dx:ASPxTextBox ID="tbSmtpPass" runat="server" Password="true" Width="175px" Theme="Metropolis" OnPreRender="tbSmtpPass_PreRender" />
                                                                        </td>
                                                                        <td style="padding: 0;">
                                                                            <dx:ASPxButton ID="btnShowPass" runat="server" Text="•••" Height="21px" Width="25px" Paddings-Padding="0px" FocusRectPaddings-Padding="0" Theme="Metropolis" OnClick="btnShowPass_Click" />
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <div style="float: left;">
                                                        <dx:ASPxCheckBox ID="ckbSmtpSSL" runat="server" Text="SSL / TLS:" Theme="Metropolis" />
                                                    </div>
                                                    <div style="float: right;">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxButton ID="btnTest" runat="server" Text="Test" Theme="Metropolis" OnClick="btnTestEmail_Click" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxButton ID="btnSaveEmail" runat="server" Text="Save" Theme="Metropolis" AutoPostBack="false">
                                                                        <ClientSideEvents Click="function (s,e) { lpSave.Show(); cbEmail.PerformCallback(); }" />
                                                                    </dx:ASPxButton>
                                                                    <dx:ASPxCallback ID="cbEmail" runat="server" ClientInstanceName="cbEmail" OnCallback="btnSaveEmail_Click">
                                                                        <ClientSideEvents EndCallback="CallbackComplete" />
                                                                    </dx:ASPxCallback>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                    <div>
                                                        <br />
                                                        <br />
                                                    </div>
                                                </dx:PanelContent>
                                            </PanelCollection>
                                        </dx:ASPxRoundPanel>
                                    </div>


                                    <div style="width: 500px; margin: 0 auto; padding-top: 10px;">
                                        <dx:ASPxRoundPanel ID="rpReportSettings" runat="server" HeaderText="Report Settings" Width="100%">
                                            <PanelCollection>
                                                <dx:PanelContent>
                                                    <asp:UpdatePanel ID="UpdatePanel2" runat="server" UpdateMode="Conditional">
                                                        <ContentTemplate>
                                                            <table>

                                                                <tr>
                                                                    <td style="width: 90px">
                                                                        <dx:ASPxLabel ID="lblReportTime" runat="server" Text="Report Time:"></dx:ASPxLabel>
                                                                    </td>
                                                                    <td>
                                                                        <cc1:TimeSelector ID="uctReportTime" runat="server" AllowSecondEditing="true" MinuteIncrement="1" SecondIncrement="1" SelectedTimeFormat="Twelve"></cc1:TimeSelector>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="width: 90px">
                                                                        <dx:ASPxLabel ID="lblReportsType" runat="server" Text="Report Type: ">
                                                                        </dx:ASPxLabel>
                                                                    </td>
                                                                    <td>
                                                                        <asp:CheckBoxList ID="chkReportListType" runat="server" RepeatDirection="Horizontal" RepeatLayout="Table" AutoPostBack="true" OnSelectedIndexChanged="chkReportListType_SelectedIndexChanged">
                                                                            <asp:ListItem Text="Daily" Selected="false" />
                                                                            <asp:ListItem Text="Monthly" Selected="false" />
                                                                        </asp:CheckBoxList>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="width: 90px">
                                                                        <dx:ASPxLabel ID="lblDaysOfWeek" runat="server" Text="Days Of Week: " Visible="false"></dx:ASPxLabel>
                                                                    </td>
                                                                    <td>
                                                                        <asp:CheckBoxList ID="chkReportListDayOfWeek" runat="server" RepeatDirection="Horizontal" RepeatLayout="Table" AutoPostBack="true" Visible="false">
                                                                            <asp:ListItem Text="MON" Selected="false" />
                                                                            <asp:ListItem Text="TUE" Selected="false" />
                                                                            <asp:ListItem Text="WED" Selected="false" />
                                                                            <asp:ListItem Text="THU" Selected="false" />
                                                                            <asp:ListItem Text="FRI" Selected="false" />
                                                                            <asp:ListItem Text="SAT" Selected="false" />
                                                                            <asp:ListItem Text="SUN" Selected="false" />
                                                                        </asp:CheckBoxList>
                                                                    </td>
                                                                </tr>
                                                            </table>

                                                            <div style="float: right;">
                                                                <dx:ASPxButton ID="btnSaveReport" runat="server" Text="Save" Theme="Metropolis" AutoPostBack="false">
                                                                    <ClientSideEvents Click="function (s,e) { lpSave.Show(); cbReport.PerformCallback(); }" />
                                                                </dx:ASPxButton>
                                                                <dx:ASPxCallback ID="cbReport" runat="server" ClientInstanceName="cbReport" OnCallback="cbReport_Callback">
                                                                    <ClientSideEvents EndCallback="CallbackComplete" />
                                                                </dx:ASPxCallback>

                                                            </div>

                                                            <div>
                                                                <br />
                                                                <br />
                                                            </div>
                                                        </ContentTemplate>
                                                    </asp:UpdatePanel>
                                                </dx:PanelContent>
                                            </PanelCollection>
                                        </dx:ASPxRoundPanel>
                                    </div>
                                    <div>
                                        <table>
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                    </div>
                                    <div>
                                        <dx:ASPxRoundPanel ID="rpCountryCodeSettings" runat="server" HeaderText="Country and Area Code Settings" Width="100%">
                                            <PanelCollection>
                                                <dx:PanelContent>
                                                    <asp:UpdatePanel ID="updCountryCodeSettings" runat="server" UpdateMode="Conditional">
                                                        <ContentTemplate>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <dx:ASPxLabel ID="lblCountryCode" Text="Country Code:" runat="server"></dx:ASPxLabel>
                                                                    </td>
                                                                    <td>
                                                                        <dx:ASPxTextBox ID="txtCountryCode" runat="server" Width="60px">
                                                                            <ValidationSettings RequiredField-IsRequired="true" ErrorDisplayMode="ImageWithTooltip">
                                                                                <RequiredField IsRequired="true"></RequiredField>
                                                                            </ValidationSettings>
                                                                        </dx:ASPxTextBox>
                                                                    </td>

                                                                    <td>
                                                                        <dx:ASPxLabel ID="lblAreaCode" Text="Area Code:" runat="server">
                                                                        </dx:ASPxLabel>
                                                                    </td>
                                                                    <td>
                                                                        <dx:ASPxTextBox ID="txtAreaCode" runat="server" Width="60px">
                                                                            <ValidationSettings RequiredField-IsRequired="true" ErrorDisplayMode="ImageWithTooltip">
                                                                                <RequiredField IsRequired="true"></RequiredField>
                                                                            </ValidationSettings>
                                                                        </dx:ASPxTextBox>
                                                                    </td>

                                                                    <td>
                                                                        <dx:ASPxCheckBox ID="chkShowAccCode" runat="server" Text="Show Acc Code in Reports"></dx:ASPxCheckBox>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                            <div style="float: right;">
                                                                <dx:ASPxButton ID="btnSaveCountryCodeSetrings" runat="server" Text="Save" Theme="Metropolis" AutoPostBack="false">
                                                                    <ClientSideEvents Click="function (s,e) { lpSave.Show(); cbCountryCode.PerformCallback(); }" />
                                                                </dx:ASPxButton>
                                                                <dx:ASPxCallback ID="cbCountryCode" runat="server" ClientInstanceName="cbCountryCode" OnCallback="cbCountryCode_Callback">
                                                                    <ClientSideEvents EndCallback="CallbackComplete" />
                                                                </dx:ASPxCallback>
                                                            </div>
                                                            <div>
                                                                <br />
                                                                <br />
                                                            </div>
                                                        </ContentTemplate>
                                                    </asp:UpdatePanel>
                                                </dx:PanelContent>
                                            </PanelCollection>
                                        </dx:ASPxRoundPanel>
                                    </div>
                                      <div>
                                        <table>
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                    </div>
                                    <div>
                                        <dx:ASPxRoundPanel ID="ASPxRoundPanel2" runat="server" HeaderText="Time Zone Settings" Width="100%">
                                            <PanelCollection>
                                                <dx:PanelContent>
                                                    <asp:UpdatePanel ID="UpdatePanel3" runat="server" UpdateMode="Conditional">
                                                        <ContentTemplate>
                                                        
                                                                        <table style="width:100%">
                                                                            <tr>
                                                                                <td>
                                                                                    <dx:ASPxLabel ID="lblTimeZone" runat="server" Text="Display Time Zone:" />
                                                                                    &nbsp;&nbsp;</td>
                                                                                <td>
                                                                                    <dx:ASPxComboBox ID="cbTimeZone" runat="server" ValueField="key" TextField="value" Width="304px" AutoPostBack="false">
                                                                                        <ClientSideEvents SelectedIndexChanged="function(s,e) { cbpGrid.PerformCallback(); grid.Refresh(); }" />
                                                                                    </dx:ASPxComboBox>
                                                                                </td>
                                                                                <td style="text-align: right;">
                                                                           <%--         <dx:ASPxButton ID="btnTimezone" runat="server" AutoPostBack="true" Text="Save" OnClick="btnTimezone_Click">
                                                                                    </dx:ASPxButton>--%>
                                                                                     <dx:ASPxButton ID="btnTimezone" runat="server" Text="Save" Theme="Metropolis" OnClick="btnTimezone_Click" />
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                   
                                                        </ContentTemplate>
                                                    </asp:UpdatePanel>
                                                </dx:PanelContent>
                                            </PanelCollection>
                                        </dx:ASPxRoundPanel>
                                    </div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </dx:PanelContent>
                    </PanelCollection>
                </dx:ASPxRoundPanel>
            </td>
            <td>&nbsp;
            </td>
            <td>
                <dx:ASPxRoundPanel ID="ASPxRoundPanel5" runat="server" Width="100%" Height="830px" HeaderText="Instructions" ContentPaddings-Padding="15px">
                    <ContentPaddings Padding="15px" />
                    <PanelCollection>
                        <dx:PanelContent>
                            <dx:ASPxPanel
                                ID="ASPxPanel5"
                                runat="server"
                                Width="100%"
                                Height="770px"
                                ScrollBars="Vertical"
                                CssClass="Help">
                                <PanelCollection>
                                    <dx:PanelContent>
                                        <span class="HelpTitle">Email Addresses:</span><hr />
                                        <dl>
                                            <dd>The email addresses to which the configured email server sends reports of all the accounts according to the configured <b>'Report Settings'</b></dd>
                                        </dl>
                                        <span class="HelpTitle">Email Settings</span><hr />
                                        <dl>
                                            <dt>Mail Server:</dt>
                                            <dd>IP address or Fully Qualified Domain Name (FQDN) of your email server.  Examples: 192.168.1.20 or mail.mydomain.com</dd>
                                            <dt>SMTP Port:</dt>
                                            <dd>Default port number is 25. (Google: 587)</dd>
                                            <dt>From Email:</dt>
                                            <dd>The reply email address for email and SMS text notifications.<br />
                                                <br />
                                                Be sure to test both an email address and SMS text message.  We suggest you test each email, distribution, or
                                                                    SMS address to ensure you can send to all addresses. Sending mail within your domain may not require
                                                                    authentication, while sending outside your domain (SMS address for example) may require authentication.  The 
                                                                    domain for sending SMS text messages is specific to the wireless carrier.<br />
                                                <br />
                                                Email Example: user@mydomain.com<br />
                                                SMS Example (Verizon): 9999999999@VText.com
                                            </dd>
                                            <dt>To Email:</dt>
                                            <dd>Enter a vailid test email address.  This temporary value is only used for sending test emails and is NOT required.
                                            </dd>
                                            <dt>Authentication:</dt>
                                            <dd>Some mail servers require authentication to relay emails.  Enter a valid username and password.  
                                                                    For Microsoft Exchange use a Windows domain (network) username and password.
                                            </dd>
                                            <dt>SSL / TLS:</dt>
                                            <dd>Your mail server may require a secure connection -- Secure Socket Layer (SSL) or Transport Layer 
                                                                    Security (TLS) to relay email.  Gmail, Goole Apps, and Microsoft 365 require a secure connection.
                                            </dd>
                                            <dt>Test Button</dt>
                                            <dd>You can test whether your SMTP settings are correct by entering a email address in the "To Email" field and 
                                                                    pressing the "Test" button.
                                            </dd>
                                        </dl>
                                        <span class="HelpTitle">Report Settings</span><hr />
                                        <dl>
                                            <dt>Report Time:</dt>
                                            <dd>You can schedule time from the 'Report Time' time box to send the reports to the Account based and Global email addresses according to the set 'Report Type'.</dd>
                                            <dd><b>Note: </b>Account based email addresses will receive emails on reports related only to that specific account while Global email addresses will receive emails on reports related to all the accounts</dd>
                                            <dt>Report Type:</dt>
                                            <dd>You can send the reports to the specified Account based and Global email addresses on Daily and/ or Monthly basis.</dd>
                                            <dt>Days of Week:</dt>
                                            <dd>Select the days of the week so that the report will be mailed on those days.</dd>
                                        </dl>
                                        <span class="HelpTitle">Country and Area Code Settings</span><hr />
                                        <dl>
                                            <dt>Country Code:</dt>
                                            <dd>Enter a valid Country code. Billing rates depends on the country code.</dd>
                                            <dt>Area Code:</dt>
                                            <dd>Enter a valid Area code.</dd>
                                            <dt>Show Acc Code in Reports:</dt>
                                            <dd>Using this setting we can display or hide the account code in the reports.</dd>
                                        </dl>
                                    </dx:PanelContent>
                                </PanelCollection>
                            </dx:ASPxPanel>
                        </dx:PanelContent>
                    </PanelCollection>
                </dx:ASPxRoundPanel>
            </td>
        </tr>
    </table>
    <dx:ASPxLoadingPanel ID="lpSave" runat="server" ClientInstanceName="lpSave" Text="Saving..." Modal="true" ContainerElementID="tcSettings" />
    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:SqlDataSource
        ID="sds_EmailAddresses"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3CXEnhancedBillingCodesConStr %>"
        SelectCommand="SELECT * FROM [EmailAddresses] ORDER BY [EmailAddress]"
        DeleteCommand="DELETE FROM [EmailAddresses] WHERE [EmailID] = @EmailId"
        InsertCommand="INSERT INTO [EmailAddresses] ([EmailAddress]) VALUES (@EmailAddress)"
        UpdateCommand="UPDATE [EmailAddresses] SET [EmailAddress] = @EmailAddress WHERE [EmailId] = @EmailId">
        <DeleteParameters>
            <asp:Parameter Name="EmailID" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="EmailAddress" Type="String" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="EmailAddress" Type="String" />
            <asp:Parameter Name="EmailID" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>

</asp:Content>
